---
layout: post
title: "Oh yeah, feels smooth!"
date: May 05, 2015 12:34
category: "General discussion"
author: "David Piwczyk"
---
Oh yeah, feels smooth!





**"David Piwczyk"**

---
---
**Arthur Wolf** *May 05, 2015 12:35*

Invited the 200 people in my Smoothie circle, will try to share interresting Smoothie stuff here.


---
**Raymundo Magaña** *May 05, 2015 14:17*

this is probably the best post ever...


---
*Imported from [Google+](https://plus.google.com/114847760603790501023/posts/HmQu69PtzDA) &mdash; content and formatting may not be reliable*
